Host Virtual Nic Manager Query Net Config

Host Virtual Nic Manager Query Net Config
Get the NetConfig for the specified nicType

Get the NetConfig for the specified nicType

Required privileges: System.Read

Request
URI
POST
https://{vcenter-host}/sdk/vim25/{release}/HostVirtualNicManager/{moId}/QueryNetConfig
COPY
Path Parameters
string
moId
Required

The unique identifier for the managed object to which the method attaches; the serialized managed object reference for a request has the form moType/moId, in this case HostVirtualNicManager/{moId}.

string
release
Required

The vSphere release schema. The current specification covers vSphere 9.1.0.0 APIs.


Request Body
QueryNetConfigRequestType of type(s) application/json
Required
{
    "nicType": "string"
}
string
nicType
Required

The HostVirtualNicManagerNicTypeEnum

Authentication
This operation uses the following authentication methods.
Responses
200

OK

{
    "_typeName": "string",
    "nicType": "string",
    "multiSelectAllowed": false,
    "candidateVnic": [
        {
            "_typeName": "string",
            "device": "string",
            "key": "string",
            "portgroup": "string",
            "spec": {
                "_typeName": "string",
                "dynamicProperty": [
                    {
                        "_typeName": "string",
                        "name": "string",
                        "val": {
                            "_typeName": "string"
                        }
                    }
                ],
                "ip": {
                    "_typeName": "string",
                    "dhcp": false,
                    "ipAddress": "string",
                    "subnetMask": "string",
                    "ipV6Config": {
                        "_typeName": "string",
                        "ipV6Address": [
                            {
                                "_typeName": "string",
                                "ipAddress": "string",
                                "prefixLength": 0,
                                "origin": "string",
                                "dadState": "string",
                                "lifetime": "string",
                                "operation": "string"
                            }
                        ],
                        "autoConfigurationEnabled": false,
                        "dhcpV6Enabled": false
                    }
                },
                "mac": "string",
                "distributedVirtualPort": {
                    "_typeName": "string",
                    "switchUuid": "string",
                    "portgroupKey": "string",
                    "portKey": "string",
                    "connectionCookie": 0
                },
                "portgroup": "string",
                "mtu": 0,
                "tsoEnabled": false,
                "netStackInstanceKey": "string",
                "opaqueNetwork": {
                    "_typeName": "string",
                    "opaqueNetworkId": "string",
                    "opaqueNetworkType": "string"
                },
                "externalId": "string",
                "pinnedPnic": "string",
                "ipRouteSpec": {
                    "_typeName": "string",
                    "ipRouteConfig": {
                        "_typeName": "string",
                        "defaultGateway": "string",
                        "gatewayDevice": "string",
                        "ipV6DefaultGateway": "string",
                        "ipV6GatewayDevice": "string"
                    }
                },
                "systemOwned": false,
                "dpuId": "string"
            },
            "port": "string",
            "owner": "string"
        }
    ],
    "selectedVnic": [
        "string"
    ]
}

500

InvalidArgument: if nicType is invalid

HostConfigFault: for any other failure.

Returns MethodFault of type(s) application/json
This response body class contains all of the following: Any
{
    "_typeName": "string",
    "faultCause": {
        "_typeName": "string",
        "faultCause": "MethodFault Object",
        "faultMessage": [
            {
                "_typeName": "string",
                "key": "string",
                "arg": [
                    {
                        "_typeName": "string",
                        "key": "string",
                        "value": {
                            "_typeName": "string"
                        }
                    }
                ],
                "message": "string"
            }
        ]
    },
    "faultMessage": [
        {
            "_typeName": "string",
            "key": "string",
            "arg": [
                {
                    "_typeName": "string",
                    "key": "string",
                    "value": {
                        "_typeName": "string"
                    }
                }
            ],
            "message": "string"
        }
    ]
}
faultCause
Optional

Fault which is the cause of this fault.

array of object
faultMessage
Optional

Message which has details about the error Message can also contain a key to message catalog which can be used to generate better localized messages.


Code Samples
COPY
                    curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{"nicType":"string"}' https://{api_host}/sdk/vim25/{release}/HostVirtualNicManager/{moId}/QueryNetConfig